pro IRISsim_paramsave, default, info

  ;widget_control, info.textOBSfile, get_value=OBSfile
  widget_control, info.textfuvdir, get_value=fuvdir
  widget_control, info.textfuvfile, get_value=fuvfile
  widget_control, info.textnuvdir, get_value=nuvdir
  widget_control, info.textnuvfile, get_value=nuvfile
  widget_control, info.textdtime, get_value=dtime
  widget_control, info.textdtimend, get_value=dtimend
  widget_control, info.bgoutput1, get_value=output1
  widget_control, info.bgoutput2, get_value=output2
  widget_control, info.textx, get_value=maxWINsizeX
  widget_control, info.texty, get_value=maxWINsizeY
  widget_control, info.textdest, get_value=dest
  widget_control, info.textqtloc, get_value=qtloc
  widget_control, info.textovsji, get_value=ovsji
  widget_control, info.textovtype, get_value=ovtype
  widget_control, info.textthresov, get_value=thresov
  widget_control, info.textthressji, get_value=thressji
  widget_control, info.textthresspec, get_value=thresspec
  widget_control, info.bgdebug, get_value=debug
  widget_control, info.textdebug, get_value=debugnr
  widget_control, info.textdebugt, get_value=debugt
  
  maxWINsize=[maxWINsizeX[0], maxWINsizeY[0]]
  savefitsfiles = output1[0]
  saveplot = output1[1]
  makemovie = output1[2]
  playmovie = output1[3]
  copyxml = output2[0]
  logcsv = output2[1]
  logtxt = output2[2]
  
  params = { $
    ;OBSfile:OBSfile[0], $
    fuvdir:fuvdir[0], $
    fuvfile:fuvfile[0], $
    nuvdir:nuvdir[0], $
    nuvfile:nuvfile[0], $
    dtime:dtime[0], $
    dtimend:dtimend[0], $
    dest:dest[0], $
    qtloc:qtloc[0], $
    ovsji:ovsji[0], $
    ovtype:ovtype[0], $
    maxWINsize:maxWINsize, $
    thresov:thresov[0], $
    thressji:thressji[0], $
    thresspec:thresspec[0], $
    debug:debug[0], $
    debugnr:debugnr[0], $
    debugt:debugt[0], $
    savefitsfiles:savefitsfiles, $
    saveplot:saveplot, $
    makemovie:makemovie, $
    playmovie:playmovie, $
    copyxml:copyxml, $
    logcsv:logcsv, $
    logtxt:logtxt $
    }
    
    
  if default then begin
    ;file = programrootdir()+'irissimdefaultparam.sav'
    file = IRISsim_appReadme() + '/irissim_defaultparam.sav'
    save, params, filename=file
  endif else begin
    file = dialog_pickfile(/write, default_extension='sav')
    if file ne '' then save, params, filename=file
  endelse
  print, 'file saved'
end
